import { Layout } from '@/router/constant'
import type { RouteRecordRaw } from 'vue-router'

/**
 * @param name 路由名称, 必须设置,且不能重名
 * @param meta 路由元信息（路由附带扩展信息）
 * @param redirect 重定向地址, 访问这个路由时,自定进行重定向
 * @param meta.disabled 禁用整个菜单
 * @param meta.title 菜单名称
 * @param meta.icon 菜单图标
 * @param meta.keepAlive 缓存该路由
 * @param meta.sort 排序越小越排前
 *
 */
const routes: Array<RouteRecordRaw> = [
  {
    path: '/',
    name: 'map',
    redirect: '/map',
    component: Layout,
    meta: {
      title: '地理位置',
      permissions: ['task-main'],
      svgname: 'task-approval',
      svgsize: 22,
      sort: 5,
      disabled: true,
      hidden: true,
    },
    children: [
      {
        path: 'map',
        name: 'map-main',
        meta: {
          title: '地理位置',
        },
        component: () => import('@/views/map/index.vue'),
      },
     
    ],
  },
]

export default routes
